Share via


Transparent Data Encryptions - Create Or Update

Updates a logical database's transparent data encryption configuration.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/transparentDataEncryption/current?api-version=2025-01-01

URI Parameters

Name In Required Type Description
databaseName
path True

string

The name of the database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

tdeName
path True

TransparentDataEncryptionName

The name of the transparent data encryption configuration.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties.state True

TransparentDataEncryptionState

Specifies the state of the transparent data encryption.

properties.scanState

TransparentDataEncryptionScanState

Specifies the encryption scan state of the transparent data encryption.

Responses

Name Type Description
200 OK

LogicalDatabaseTransparentDataEncryption

Resource 'LogicalDatabaseTransparentDataEncryption' update operation succeeded

201 Created

LogicalDatabaseTransparentDataEncryption

Resource 'LogicalDatabaseTransparentDataEncryption' create operation succeeded

Headers

Azure-AsyncOperation: string

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Update a database's Transparent Data Encryption state with minimal parameters

Sample request

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/securitytde-42-rg/providers/Microsoft.Sql/servers/securitytde-42/databases/testdb/transparentDataEncryption/current?api-version=2025-01-01

{
  "properties": {
    "scanState": "Suspend",
    "state": "Enabled"
  }
}

Sample response

{
  "name": "current",
  "type": "Microsoft.Sql/servers/databases/transparentDataEncryption",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/securitytde-42-rg/providers/Microsoft.Sql/servers/securitytde-42/databases/testdb/transparentDataEncryption/current",
  "properties": {
    "scanState": "Suspend",
    "state": "Enabled"
  }
}
{
  "name": "current",
  "type": "Microsoft.Sql/servers/databases/transparentDataEncryption",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/securitytde-42-rg/providers/Microsoft.Sql/servers/securitytde-42/databases/testdb/transparentDataEncryption/current",
  "properties": {
    "scanState": "Suspend",
    "state": "Enabled"
  }
}
Location: /subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/securitytde-42-rg/providers/Microsoft.Sql/locations/southeastasia/transparentDataEncryptionOperationResults/11111111-1111-1111-1111-111111111111

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

LogicalDatabaseTransparentDataEncryption

A logical database transparent data encryption scan state.

systemData

Metadata pertaining to creation and last modification of the resource.

TransparentDataEncryptionName
TransparentDataEncryptionScanState

Specifies the encryption scan state of the transparent data encryption.

TransparentDataEncryptionState

Specifies the state of the transparent data encryption.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

LogicalDatabaseTransparentDataEncryption

A logical database transparent data encryption scan state.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.scanState

TransparentDataEncryptionScanState

Specifies the encryption scan state of the transparent data encryption.

properties.state

TransparentDataEncryptionState

Specifies the state of the transparent data encryption.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TransparentDataEncryptionName

Value Description
current

current

TransparentDataEncryptionScanState

Specifies the encryption scan state of the transparent data encryption.

Value Description
None

None

Resume

Resume

Running

Running

Suspend

Suspend

Aborted

Aborted

Completed

Completed

TransparentDataEncryptionState

Specifies the state of the transparent data encryption.

Value Description
Enabled

Enabled

Disabled

Disabled